# UserGuidanceVisibility enum

Determines the visibility mode for the document capturing user guidance labels.

Inheritance
  - Object
  - Enum
  - UserGuidanceVisibility

## Constructors

UserGuidanceVisibility()
  const

## Values

ENABLED → const UserGuidanceVisibility

  Enabled for both 'auto snapping' and 'manual snapping' modes.

AUTO_CAPTURE_ONLY → const UserGuidanceVisibility

  Enabled only for the 'auto snapping' mode.

DISABLED → const UserGuidanceVisibility

  Disabled for both 'auto snapping' and 'manual snapping' modes.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<UserGuidanceVisibility>
  A constant List of the values in this enum, in order of their declaration.